Skip to main content
`Ctrl`+`K`
scipy.stats.mstats.

# kendalltau

scipy.stats.mstats.kendalltau(x, y, use_ties=True, use_missing=False, method='auto', alternative='two-sided')

  Computes Kendall’s rank correlation tau on two variables x and y.

  Parameters:
    x sequence

      First data list (for example, time).

    y sequence

      Second data list.

    use_ties{True, False}, optional

      Whether ties correction should be performed.

    use_missing{False, True}, optional

      Whether missing data should be allocated a rank of 0 (False) or the average rank (True)

    method{‘auto’, ‘asymptotic’, ‘exact’}, optional

      Defines which method is used to calculate the p-value [1]. ‘asymptotic’ uses a normal approximation valid for large samples. ‘exact’ computes the exact p-value, but can only be used if no ties are present. As the sample size increases, the ‘exact’ computation time may grow and the result may lose some precision. ‘auto’ is the default and selects the appropriate method based on a trade-off between speed and accuracy.

    alternative{‘two-sided’, ‘less’, ‘greater’}, optional

      Defines the alternative hypothesis. Default is ‘two-sided’. The following options are available:

      - ‘two-sided’: the rank correlation is nonzero

      - ‘less’: the rank correlation is negative (less than zero)

      - ‘greater’: the rank correlation is positive (greater than zero)

  Returns:
    res SignificanceResult

      An object containing attributes:

      statisticfloat

        The tau statistic.

      pvaluefloat

        The p-value for a hypothesis test whose null hypothesis is an absence of association, tau = 0.

  References

  [1]

  Maurice G. Kendall, “Rank Correlation Methods” (4th Edition), Charles Griffin & Co., 1970.